Subject: Re: [PATCH v6 0/1] grep: integrate with sparse index

From: Derrick Stolee <[email-masked]>
Date: Fri, 23 Sep 2022 10:13:27 -0400

On 9/23/2022 12:18 AM, Shaoxuan Yuan wrote:
> Integrate `git-grep` with sparse-index and test the performance
> improvement.
> 
> Changes since v5
> ----------------
> 
> * Drop the `--sparse` option patch and edit corresponding tests. 
>   We can wait until a better name is decided to replace `--sparse`.
> 
> * Modify the commit message, especially get rid of the `--sparse`
>   occurences.

It's nice that now that you are calling grep_tree() when reaching a
sparse directory entry, you can still have all of the ensure_not_expanded
tests work even without --sparse.

There is definitely room for improving the user experience to focus on
the sparse cone by implementing a replacement for --sparse in the future,
especially for users with partial clones.

But this patch stands on its own. Thank you for your hard work here.

Thanks,
-Stolee